#ifndef DELAY_ASM
#define DELAY_ASM

	SEGU data

delay_cnt1 DS 1
delay_cnt2 DS 1
delay_cnt3 DS 1

	SEG code

; routines for waiting
; good for doing nothing

delay2
    movwf   delay_cnt3
delay2_loop
    movlw   0
    call    delay
    decfsz  delay_cnt3,F
    goto    delay2_loop 
    return

;
; delay subroutine
; input: delay count in W
;
; inner loop duration approx:
; 5*256+3 = 1283 cycles ->   
; 1.28ms with 4MHz crystal (1MHz instruction time)
;
delay   movwf   delay_cnt1
    clrf    delay_cnt2
delay_a nop
    nop
    incfsz  delay_cnt2,F
    goto    delay_a
    decfsz  delay_cnt1,F
    goto    delay_a
    return









#endif
