#ifndef DAC_531
#define DAC_531

#include "../include/spi.asm"

	SEGU data

dac_high DS 1
dac_low DS 1

	SEG code

; routines for using a Maxim 531 DAC
;
; you must define MAX531_CS to be the CS/ pin of the 531

;--------------
; DAC_WRITE
;
; Writes a 16 bit value (the upper four bits are ignored) to the MAX531
; DAC.  Values are read from dac_high and dac_low.
;
DAC_WRITE
    bcf MAX531_CS

	movf    dac_high,W
	movwf   spi_high 
    movf    dac_low,W
    movwf   spi_low
    call    SPI_READWRITE16
    
    bsf MAX531_CS
    return



#endif