#ifndef UART_3110_H
#define UART_3110_H

; The following are the configuration bits that can be set


#define B4800 0x0c
#define B9600 0x0b
#define B19200 0x0a
#define B38400 0x09
#define B76800 0x08
#define B57600 0x02
#define B115200 0x01

#define FIFO_DISABLED 0x2000
#define SOFT_SHUTDOWN 0x1000
#define TBUF_INT_ENABLED 0x0800
#define FIFO_INT_ENABLED 0x0400
#define PARITY_INT_ENABLED 0x0200
#define FRAMING_ERROR_INT_ENABLED 0x0100
#define IRDA_ENABLED 0x0080
#define TWO_STOP_BITS 0x0040
#define PARITY_ENABLED 0x0020
#define SEVEN_BIT_WORDS 0x0010

#define WRITE_CONFIGURATION 0xc000
#define READ_CONFIGURATION 0x4000 
#define WRITE_DATA 0x8000
#define READ_DATA 0x0000 

#endif
